> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate L2l3

> > 🚧 Alpha
> This is a Alpha endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.

Simulate a l2l3 type transaction by including the original_transaction_id and enhanced data in your request.

L2L3 events enhance the data of a transaction with the `l2l3` details from your request.




## OpenAPI

````yaml openapi-v1.json post /cards/transaction_simulations/clearing/l2l3
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /cards/transaction_simulations/clearing/l2l3:
    summary: Simulate L2l3
    post:
      tags:
        - Card Transaction Simulations
      summary: Simulate L2l3
      description: >
        > 🚧 Alpha

        > This is a Alpha endpoint. Feedback from the community is welcome. We
        may make breaking changes to this endpoint.


        Simulate a l2l3 type transaction by including the
        original_transaction_id and enhanced data in your request.


        L2L3 events enhance the data of a transaction with the `l2l3` details
        from your request.
      operationId: simulatel2l3
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/l2l3_model'
        description: L2l3 details
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/simulation_response_model'
          description: Success
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  schemas:
    l2l3_model:
      properties:
        enhanced_data_id:
          example: ED123456
          type: string
        financial:
          $ref: '#/components/schemas/financial'
        fleet_emv:
          $ref: '#/components/schemas/fleets_emv'
        fleets:
          $ref: '#/components/schemas/fleets'
        inventory_details:
          items:
            $ref: '#/components/schemas/inventory_details'
          type: array
        original_transaction_id:
          description: >-
            Value of the `transaction.token` returned in the simulated clearing
            response.
          type: string
        purchase_order:
          example: PO987654
          type: string
      required:
        - original_transaction_id
      type: object
    simulation_response_model:
      type: object
    financial:
      properties:
        tax_id:
          example: TAX123
          type: string
        total_tax_amount:
          example: 200
          format: int64
          type: integer
        total_tax_amount_indicator:
          example: Indicator
          type: string
      type: object
    fleets_emv:
      properties:
        employee_number:
          example: EMP001
          type: string
        expanded_fuel_type:
          example: TypeC
          type: string
        fuel_gross_amount:
          example: 165
          format: int64
          type: integer
        fuel_net_amount:
          example: 150
          format: int64
          type: integer
        fuel_quantity:
          example: 40
          format: float
          type: number
        fuel_unit_of_measure:
          example: Gallons
          type: string
        fuel_unit_price:
          example: 1.1
          format: float
          type: number
        non_fuel_gross_amount:
          example: 275
          format: int64
          type: integer
        non_fuel_item_details:
          items:
            $ref: '#/components/schemas/non_fuel_item_details'
          type: array
        non_fuel_net_amount:
          example: 250
          format: int64
          type: integer
        odometer_reading:
          example: '654321'
          type: string
        service_type:
          example: Repair
          type: string
        trailer_number:
          example: TR002
          type: string
        type_of_purchase:
          example: Non-Fuel
          type: string
        vat_tax_rate:
          example: 0.15
          format: float
          type: number
      type: object
    fleets:
      properties:
        driver_id:
          example: DR789
          type: string
        expanded_fuel_type:
          example: TypeB
          type: string
        fleet_number:
          example: FL123
          type: string
        fuel_gross_amount:
          example: 220
          format: int64
          type: integer
        fuel_net_amount:
          example: 200
          format: int64
          type: integer
        fuel_product_qualifier:
          example: QualifierA
          type: string
        fuel_purchase_type:
          example: TypeA
          type: string
        fuel_quantity:
          example: 50
          format: float
          type: number
        fuel_service_type:
          example: ServiceA
          type: string
        fuel_tax_amount:
          example: 20
          format: int64
          type: integer
        fuel_tax_exemption_status:
          example: Exempt
          type: string
        fuel_type:
          example: Diesel
          type: string
        fuel_unit_of_measure:
          example: Liters
          type: string
        fuel_unit_price:
          example: 1.5
          format: float
          type: number
        job_number:
          example: JN456
          type: string
        non_fuel_gross_amount:
          example: 330
          format: int64
          type: integer
        non_fuel_item_details:
          items:
            $ref: '#/components/schemas/non_fuel_item_details'
          type: array
        non_fuel_net_amount:
          example: 300
          format: int64
          type: integer
        non_fuel_tax_amount:
          example: 30
          format: int64
          type: integer
        non_fuel_tax_exemption_status:
          example: Non-Exempt
          type: string
        odometer_reading:
          example: '123456'
          type: string
        sales_tax_amount:
          example: 100
          format: int64
          type: integer
        service_type:
          example: Maintenance
          type: string
        type_of_purchase:
          example: Fuel
          type: string
        vat_tax_rate:
          example: 0.15
          format: float
          type: number
        vehicle_id:
          example: VH012
          type: string
      type: object
    inventory_details:
      properties:
        commodity_code:
          example: COM123
          type: string
        description:
          example: Item description
          type: string
        discount_amount:
          example: '5.00'
          type: string
        item_detail_taxes:
          items:
            $ref: '#/components/schemas/item_detail_taxes'
          type: array
        item_discount_amount:
          example: 500
          type: integer
        item_discount_amount_indicator:
          example: D
          type: string
        item_discount_applied_indicator:
          example: 'true'
          type: string
        item_discount_rate:
          example: 10
          type: integer
        item_extended_amount:
          example: 1000
          type: integer
        item_extended_amount_indicator:
          example: E
          type: string
        item_total_amount:
          example: 1500
          type: integer
        item_total_amount_indicator:
          example: T
          type: string
        item_vat_amount:
          example: 200
          type: integer
        item_vat_rate:
          example: 20
          type: integer
        product_code:
          example: PROD123
          type: string
        quantity:
          example: 10
          format: float
          type: number
        total_amount:
          example: '1500.00'
          type: string
        unit_of_measure:
          example: Piece
          type: string
        unit_price:
          example: 100
          type: integer
        vat_tax_amount:
          example: '200.00'
          type: string
        vat_tax_rate:
          example: '0.20'
          type: string
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    non_fuel_item_details:
      properties:
        description:
          example: Item description
          type: string
        product_code:
          example: PC001
          type: string
        quantity:
          example: 10
          format: int64
          type: integer
        unit_of_measure:
          example: Units
          type: string
        unit_price:
          example: 15
          format: int64
          type: integer
      type: object
    item_detail_taxes:
      properties:
        detail_tax_amount:
          example: 1
          format: int64
          type: integer
        detail_tax_amount_inclusion_indicator:
          example: Included
          type: string
        detail_tax_amount_indicator:
          example: D
          type: string
        detail_tax_rate:
          example: 1
          format: int64
          type: integer
        detail_tax_type_applied:
          example: VAT
          type: string
        detail_tax_type_identifier:
          example: VAT123
          type: string
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````